torqee Developers
Api reference/Audio

Get a session audio download URL

Returns a temporary URL for the joined session audio. Requires the torqee:audio:read scope.

GET
/api/v1/sessions/{id}/audio-url
AuthorizationBearer <token>

OAuth 2.1 authorization code flow with PKCE. Audience must be the connect URL.

In: header

Scope: torqee:audio:read

Path Parameters

idstring

Response Body

curl -X GET "https://connect.torqee.app/api/v1/sessions/string/audio-url"
fetch("https://connect.torqee.app/api/v1/sessions/string/audio-url")
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://connect.torqee.app/api/v1/sessions/string/audio-url"

  req, _ := http.NewRequest("GET", url, nil)
  
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://connect.torqee.app/api/v1/sessions/string/audio-url"

response = requests.request("GET", url)

print(response.text)
{
  "url": "http://example.com",
  "expiresAt": "2019-08-24T14:15:22Z"
}
{
  "error": "unauthorized"
}
{
  "error": "insufficient_scope"
}
{
  "error": "not_found"
}
{
  "error": "session_not_ready"
}
{
  "error": "internal_server_error"
}
{
  "error": "storage_retrieval_failed"
}